> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# set customer synchronized



## OpenAPI

````yaml https://integration.teceo.co/aos post /v1/customers/{customerId}/sync
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/customers/{customerId}/sync:
    post:
      tags:
        - 'Customers:'
      summary: set customer synchronized
      operationId: CustomerController_setSync_v1
      parameters:
        - name: customerId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerSyncDTO'
      responses:
        '200':
          description: set customer synchronized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerSyncResponseDTO'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
        '404':
          description: >-
            client error response code indicates that the server can't find the
            requested resource
      security:
        - ApiKey: []
components:
  schemas:
    CustomerSyncDTO:
      type: object
      properties:
        integrationCode:
          type: string
          description: required when status is "SUCCESS"
        status:
          type: string
          enum:
            - SUCCESS
            - ERROR
        message:
          type: string
          description: required when status is "ERROR"
      required:
        - status
    CustomerSyncResponseDTO:
      type: object
      properties:
        status:
          type: number
        message:
          type: string
        integrationCode:
          type: string
          nullable: true
      required:
        - status
        - message
        - integrationCode
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````